Scicos data structure

scicos_cpr - Scicos compiled diagram data structure

### Description

Scicos compiled diagram data structure contains all information needed to simulate the system (see `scicosim`).

### DEFINITION

    cpr=tlist(['cpr','state','sim','cor','corinv'],..
       state,sim,cor,corinv)

- cpr: Scilab tlist (called %cpr by default), Scicos compiled diagram data structure defined by the formal name 'cpr' and containing the following fields:

### FIELDS

- state : Scilab `tlist` contains initial state (see `scicos_state`).
- sim : Scilab `tlist`. Usually generated by Scicos `Compile` menu (see `scicos_sim`).
- cor : is a list with same recursive structure as scs_m each leaf contains the index of associated block in `cpr` data structure.
- corinv : corinv(i) is the path of `i` th block defined in `cpr` data structure in the `scs_m` data structure.

### Voir aussi

`scicos_model` `scicos_diagram` `scicosim`